PPI::Token::Quote::Single(3pm)

NAME
PPI::Token::Quote::Single - A 'single quote' token

INHERITANCE
  PPI::Token::Quote::Single
  isa PPI::Token::Quote
      isa PPI::Token
          isa PPI::Element

SYNOPSIS
  'This is a single quote'

  q{This is a literal, but NOT a single quote}

DESCRIPTION
A "PPI::Token::Quote::Single" object represents a single quoted string literal.

METHODS
There are no methods available for "PPI::Token::Quote::Single" beyond those provided by the parent PPI::Token::Quote, PPI::Token and PPI::Element classes.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.